(function(window, document, $, undefined) {
	$(function(){
		   
		//Tanquem el menú obert si apretem l'ESC
		$(document).on('keydown', function ( e ) {
		    if(e.keyCode === 27) {// ESC
		        //Tanquem el menú general que hi hagi obert
		    	if($("div[data-current-menu-tmpl].showed").length){
		    		hideCurrentSiteMenu($("div[data-current-menu-tmpl].showed").data("current-menu-tmpl"));
		    	}
		    	//Tanquem el menú lateral si està obert.
		    	if($("#navRD .toolsList.displayed").length || $("#navRD .toolsBar.compressed.displayed").length){
		    		$("#wrapper #navRD i.close").trigger("click");
		    	}
		    }
		});

		//MENÚ PRINCIPAL
		$("header.coorp .menu").on("click", "a:not(.logo)", function(event){        
			var closeSelfMenu = false;
			if($(this).hasClass("active")) {
				closeSelfMenu = true;
			}
			if($(".header-menu").hasClass("active")){
				$(".header-menu").removeClass("active");
				$(".header-menu section.row").addClass("nodisplayed");
				$("header.coorp .menu a.icon").removeClass("active");
		    	$(".header-menu section.row.navRD").find("i").removeClass("minus").addClass("more");
		    	$(".header-menu section.row.navRD").find("li").removeClass("showsons");							
				$(".overlay-menu").removeClass("active").fadeOut();
				$("html").removeClass("not-scroll");
			}        
		    if(!closeSelfMenu) {	        	
		    	$(this).addClass("active");
		    	var dataMenu = $(this).attr("data-menu");
		    	$(".header-menu section.row[data-menu='" + dataMenu + "']").removeClass("nodisplayed");
		    	$(".header-menu section.row[data-menu='" + dataMenu + "']").parent().addClass("active");  
		    	$(".overlay-menu[data-menu='" + dataMenu + "']").addClass("active").fadeIn(); 
		    	if($(".overlay-menu[data-menu='" + dataMenu + "']").hasClass("active")) {
		    		$("html").addClass("not-scroll");
		    	}   
		    } 		    
		    event.preventDefault(); 	
		});

	//OBRIR SUBMENÚS 
	$("#view-menumobile [data-menu=view-menumobile] .dropmenu").on("click", function(event) {	
		if($(this).hasClass("minus")) {        	
			$(this).removeClass("minus").addClass("more");
			$(this).parent("li").removeClass("showsons");
			$(this).parent("li").find("li").removeClass("showsons");
			$(this).parent("li").find("i").removeClass("minus").addClass("more");
		} else {	        	
			if($(this).parent().siblings().hasClass("showsons")) {
				$(this).parent().siblings().removeClass("showsons");
				$(this).parent().siblings().find("i").removeClass("minus").addClass("more");
				$(this).parent().siblings().find("li").removeClass("showsons");
			}
			$(this).removeClass("more").addClass("minus");
			$(this).parent("li").addClass("showsons");			
		}
		event.preventDefault();
	});
	
		//TANCAR
		$(".header-menu .closemenu, header.coorp .menu a.active, .overlay-menu, .anchor_links a").on("click", function(event){
			$(".header-menu").removeClass("active");
			$(".header-menu section.row").removeClass("active");
			$("header.coorp .menu a.icon").removeClass("active"); 
			$(".header-menu section.row.menu-nav").find("i").removeClass("minus").addClass("more");
			$(".header-menu section.row.menu-nav").find("li").removeClass("showsons");			
			$(".overlay-menu").removeClass("active").fadeOut(); 
			$("html").removeClass("not-scroll");
			event.preventDefault();	
		});

		//IDIOMA RD
		var dataLang = $(".lang .literal-lang").attr("data-lang");
		if((Math.max(document.documentElement.clientWidth, window.innerWidth || 0)) <= 790) {
			$(".lang .literal-lang").html("").append(dataLang).addClass("visible");
		} 

		//Obrir nivells menú AMB RD

	    //BOTÓ VEURE MÉS
	    $(".navRD i.show").on("click", function(event){
	        if($(this).hasClass("more")) {        	
	        	if($(this).parent().siblings().hasClass("showsons")) {
			    	$(this).parent().siblings().removeClass("showsons");
			    	$(this).parent().siblings().find("i").removeClass("minus").addClass("more");
			    	$(this).parent().siblings().find("li").removeClass("showsons");
	        	}
		    	$(this).removeClass("more").addClass("minus");
		    	$(this).parent("li").addClass("showsons");
	        	event.preventDefault();
	        } else {	        	
		    	$(this).removeClass("minus").addClass("more");
		    	$(this).parent("li").removeClass("showsons");
		    	$(this).parent("li").find("li").removeClass("showsons");
		    	$(this).parent("li").find("i").removeClass("minus").addClass("more");
	        	event.preventDefault();        
	        }
	    }); 	

	});
})(window, document, jQuery);